using Microsoft.AspNetCore.Mvc;

namespace ldap_cesi.Controllers;


[ApiController]
[Route("api/[controller]")]
public class HashController : ControllerBase
{
    [HttpPost("hash")]
    public IActionResult HashString([FromBody] string StringToHash)
    {
        if (string.IsNullOrEmpty(StringToHash))
        {
            return BadRequest("Vous devez fournir une chaine de caractere pour la hasher.");
        }
        
        string hashedString = BCrypt.Net.BCrypt.HashPassword(StringToHash);

        return Ok(new { HashedString = hashedString });
    }
}