using ldap_cesi.Context;
using ldap_cesi.Entities;
using ldap_cesi.Repository.Services;
using Microsoft.EntityFrameworkCore;

namespace ldap_cesi.Repository;

public class UtilisateurRepository : RepositoryBase<Utilisateur>, IRepositoryUtilisateur
{
    public UtilisateurRepository(PgContext context) : base(context)
    {
        
    }
    
    public async Task<Utilisateur> GetByEmailAsync(string email)
    {
        return await _context.Utilisateurs
            .Include(u => u.IdRoleNavigation)
            .FirstOrDefaultAsync(u => u.Email == email);
    }
    public async Task<Utilisateur> GetByIdIncludeRoleAsync(int id)
    {
        return await _context.Utilisateurs
            .Include(u => u.IdRoleNavigation)
            .FirstOrDefaultAsync(u => u.Id == id);
    }
}