using AutoMapper;
using ldap_cesi.DTOs.Inputs.Service;
using ldap_cesi.Entities;
using ldap_cesi.Models;
using ldap_cesi.Repository.Services;
using ldap_cesi.Services.Interfaces;
using ldap_cesi.Validator.Service;
using ldap_cesi.DTOs;
using ldap_cesi.DTOs.Inputs.Service;

namespace ldap_cesi.Services;

public class ServiceService : ServiceBase<Service, ServiceDto, ServiceCreateDto, ServiceUpdateDto>, IServiceService
{

    public ServiceService(IRepositoryService repositoryService, IMapper mapper, ILogger<ServiceService> logger, ServiceCreateValidator serviceCreateValidator, ServiceUpdateValidator serviceUpdateValidator) 
        : base(repositoryService, mapper, logger, serviceCreateValidator, serviceUpdateValidator)
    {
    }
    public async Task<IResponseDataModel<string>> DeleteWithEntiteCheck(int id)
    {
        return await DeleteWithDependencyCheck<Salarie>(
            id, 
            salarie => salarie.IdServiceNavigation.Id == id,
            "il n'est pas possible de supprimer ce service car des salariés y sont liés"
        );
    }
}