using AutoMapper;
using ldap_cesi.DTOs;
using ldap_cesi.DTOs.Inputs.Site;
using ldap_cesi.Entities;
using ldap_cesi.Models;
using ldap_cesi.Repository.Services;
using ldap_cesi.Services.Interfaces;
using ldap_cesi.Validator.Site;

namespace ldap_cesi.Services;

public class SiteService : ServiceBase<Site, SiteDto, SiteCreateDto, SiteUpdateDto>, ISiteService
{

    private readonly IRepositorySite _repositorySite;

    public SiteService(IRepositorySite repositorySite, IMapper mapper,
        ILogger<SiteService> logger, SiteCreateValidator siteCreateValidator, SiteUpdateValidator siteUpdateValidator)
        : base(repositorySite, mapper, logger, siteCreateValidator, siteUpdateValidator)
    {
        _repositorySite = repositorySite;
    }

    public async Task<IResponseDataModel<string>> DeleteWithEntiteCheck(int id)
    {
        return await DeleteWithDependencyCheck<Salarie>(
            id,
            salarie => salarie.IdSiteNavigation.Id == id,
            "il n'est pas possible de supprimer ce site car des salariés y sont liés"
        );
    }
}
