using FluentValidation;
using ldap_cesi.DTOs.Inputs.Role;

namespace ldap_cesi.Validator.Role;

public class RoleCreateValidator : AbstractValidator<RoleCreateDto>
{
    public RoleCreateValidator()
    {
        RuleFor(x => x.Nom)
            .NotEmpty().WithMessage("Le nom est requis.")
            .MaximumLength(50).WithMessage("Le nom ne doit pas dépasser 50 caractères.");
    }
}