using FluentValidation;
using ldap_cesi.DTOs.Inputs.Role;

namespace ldap_cesi.Validator.Role;

public class RoleUpdateValidator : AbstractValidator<RoleUpdateDto>
{
    public RoleUpdateValidator()
    {
        RuleFor(x => x.Nom)
            .NotEmpty().WithMessage("Le nom est requis.")
            .MaximumLength(50).WithMessage("Le nom ne doit pas dépasser 50 caractères.");
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("L'identifiant du Rôle est requis.");
    }
}