using FluentValidation;
using ldap_cesi.DTOs.Inputs.Site;

namespace ldap_cesi.Validator.Site;

public class SiteCreateValidator : AbstractValidator<SiteCreateDto>
{
    public SiteCreateValidator()
    {
        RuleFor(x => x.Ville)
            .NotEmpty().WithMessage("Le nom est requis.")
            .MaximumLength(150).WithMessage("Le nom de la ville ne doit pas dépasser 150 caractères.");
    }
}