using FluentValidation;
using ldap_cesi.DTOs.Inputs;

namespace ldap_cesi.Validator.Utilisateur;

public class UtilisateurLoginValidator : AbstractValidator<UtilisateurLoginDto>
{
    public UtilisateurLoginValidator()
    {
        RuleFor(x => x.Email)
            .NotEmpty().WithMessage("L'email est requis.")
            .EmailAddress().WithMessage("L'email n'est pas valide.")
            .MaximumLength(50).WithMessage("L'email ne doit pas dépasser 50 caractères.");

        RuleFor(x => x.MotDePasse)
            .NotEmpty().WithMessage("Le mot de passe est requis.")
            .MinimumLength(6).WithMessage("Le mot de passe doit contenir au moins 6 caractères.")
            .MaximumLength(20).WithMessage("Le mot de passe ne doit pas dépasser 20 caractères.");
    }
}